A Sandcastle Documented Class Library
A Sandcastle Documented Class Library
butterflow_ui
ButterflowWrapper Class
ButterflowWrapper Constructor
ButterflowWrapper Properties
ButterflowWrapper Methods
ButterflowWrapper Events
ButterflowWrapper Fields

# ButterflowWrapper Class

A butterflow wrapper. Provides interaction with the butterflow executable.
Inheritance Hierarchy
System
Object
butterflow_ui
PropertyChangedAlerter
butterflow_ui
ButterflowWrapper

Namespace: butterflow_ui
Assembly: butterflow-ui (in butterflow-ui.exe) Version: 1.1.0.42906 (1.0.0.0)
Syntax
C#
Copy

    public class ButterflowWrapper : PropertyChangedAlerter

The ButterflowWrapper type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ButterflowWrapper | Initializes a new instance of the ButterflowWrapper class

Top
Properties

| Name | Description
--- | --- | ---
| ConsoleOutput | Gets the console output from butterflow.
| Devices | Gets or sets the list of devices available for butterflow processing.
| IsRunning | Gets a value indicating whether butterflow is currently running.
| ProgressPercentage | Gets the progress percentage as reported by butterflow.

Top
Methods

| Name | Description
--- | --- | ---
| AddConstantCallProperty | Adds a property that will always be called when any property is updated.. (Inherited from PropertyChangedAlerter.)
| Cancel | Kills the running instance of butterflow, cancelling its current operation.
| GetDevices | Gets the devices available for butterflow processing.
| OnAllPropertiesChanged | Executes when all properties are changed and should be updated. (Inherited from PropertyChangedAlerter.)
| OnButterflowExited | Executes the butterflow exited action.
| OnParsedConsoleOutputRecieved | Executes the parsed console output recieved action.
| OnPropertyChanged | Executes the property changed action. This alerts subscribers to its change in value. (Inherited from PropertyChangedAlerter.)
| ParseConsoleOutput | Parses console output and attempts to find known values. If a known value is found, the event is triggered.
| Probe | Probes a video file.
| Process_Exited | Event handler. Called by Process for exited events.
| Process_OutputDataReceived | Event handler. Called by Process for output data received events.
| ProcessQueue | Process the queue of butterflow arguments.
| Run(String) | Runs butterflow with the given arguments by adding it to the queue.
| Run(OptionsConfiguration) | Runs butterflow with the given optionsConfiguration by adding it to the queue.

Top
Events

| Name | Description
--- | --- | ---
| ButterflowExited | Event queue for all listeners interested in ButterflowExited events.
| ParsedConsoleOutputRecieved | Event queue for all listeners interested in ParsedConsoleOutputRecieved events.
| PropertyChanged | Occurs when a property value changes. (Inherited from PropertyChangedAlerter.)

Top
Fields

| Name | Description
--- | --- | ---
| alwaysCall | A list of properties to always call as updated. Generally used for composite properties. (Inherited from PropertyChangedAlerter.)
| consoleOutput | The console output from butterflow.
| executablePath | Full pathname of the butterflow executable file.
| interpreter | An input interpreter used for converting string values to numeric values.
| isRunning | True if butterflow is running, false if not.
| progressPercentage | The progress percentage as reported by butterflow.
| REGEX_DEVICE | The RegEx string for determining available processing devices in butterflow..
| REGEX_PROGRESS | The RegEx string for detecting progress made when rendering a video.
| REGEX_PROGRESS_ALT | An alternative RegEx string for detecting progress made when rendering a video.
| REGEX_RATE | The RegEx string for matching the probed playback rate.
| REGEX_RESOLUTION | The RegEx string for matching probed resolution.
| runningProcess | The running butterflow process.
| runQueue | Queue of butterflow commands to run.

Top
See Also

#### Reference

butterflow_ui Namespace